Bug 5398 - [UPDATE REQUEST] Mesa 10.5.3
: [UPDATE REQUEST] Mesa 10.5.3
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-16 17:16 MSD by Eugene Shatokhin
Modified: 2015-04-27 13:33 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-04-16 17:16:11 MSD
Upstream update to version 10.5.3. 
Direct3D state tracker is now enabled.
Comment 1 Eugene Shatokhin 2015-04-16 17:20:36 MSD
Advisory:
Mesa was updated to version 10.5.3. Most significant changes:
* GLX/DRI3 fixes and improvements.
* A lot of preparation work for GL_ARB_direct_state_access.
* The new IR - NIR. A flat, typeless IR, supporting SSA.
* Piglit and drawElements Quality Program (dEQP) fixes.
* Initial support for the new Intel Skylake GPUs and Adreno 4xx GPUs.
* Support for GL_EXT_polygon_offset_clamp on i965, nv50, nvc0, r600, radeonsi, llvmpipe.
* Lots of other fixes.
* The experimental Direct3D 9 state tracker ("Nine") is now built too, see the packages lib(64)d3dtracker1 and lib(64)d3dtracker-devel.

Build lists:
i586:
https://abf.io/build_lists/2490575
x86_64:
https://abf.io/build_lists/2490576
Comment 2 Andrey Ponomarenko 2015-04-23 15:14:36 MSD
Dell E6530 (Hybrid graphics): http://hw.rosalinux.ru/index.php?probe=40e634b11c

Boot, browser, video - OK

Lower glxgears FPS: 6602 vs 6802 on Mesa 10.4.5

Probe with Mesa 10.4.5: http://hw.rosalinux.ru/index.php?probe=ba40a1185f
Comment 3 Andrey Ponomarenko 2015-04-23 17:33:36 MSD
Dell E6530 (NVIDIA only): http://hw.rosalinux.ru/index.php?probe=14d37ffae3

NVIDIA GF108GLM [NVS 5200M]

Boot, browser, video - OK

glsgears FPS are almost the same: 1444 vs 1448 on Mesa 10.4.5

Probe with Mesa 10.4.5: http://hw.rosalinux.ru/index.php?probe=ab6ab243d3
Comment 4 Andrey Ponomarenko 2015-04-23 18:06:24 MSD
Lenovo G570: http://hw.rosalinux.ru/index.php?probe=3f160421bb

Intel Sandybridge Integrated Graphics

Boot, browser, video - OK

Better glxgears FPS: 6205 vs 6058 on Mesa 10.4.5

Probe with Mesa 10.4.5: http://hw.rosalinux.ru/index.php?probe=e67416ca14
Comment 5 Vladimir Potapov 2015-04-23 18:17:44 MSD
The update is sent to expanded testing
***************************************
Comment 6 Andrey Ponomarenko 2015-04-23 18:49:37 MSD
Lenovo G570: http://hw.rosalinux.ru/index.php?probe=2ad9f76e6d

AMD Robson CE [Radeon HD 6370M/7370M]

Browser, video - OK

glxgears FPS are almost the same with new and old Mesa versions: about 4500

Probe with Mesa 10.4.5: http://hw.rosalinux.ru/index.php?probe=b486248d75
Comment 7 Andrey Ponomarenko 2015-04-23 19:20:09 MSD
ASUS X71SL: http://hw.rosalinux.ru/index.php?probe=59dd9d8426

NVIDIA G98M [GeForce 9300M GS]

Boot, browser, video - OK

glxgears FPS are the same: 613

Probe with Mesa 10.4.5: http://hw.rosalinux.ru/index.php?probe=ee5f8ea53a
Comment 8 Andrey Ponomarenko 2015-04-25 10:27:58 MSD
Sony SVE1713: http://hw.rosalinux.ru/index.php?probe=edd0f9214a

AMD Thames [Radeon HD 7550M/7570M/7650M]

EFI, kernel 3.18.11

Boot, browser, video - OK

Lower glxgears FPS: 5161 vs 5395 on Mesa 10.4.5

Probe with Mesa 10.4.5: http://hw.rosalinux.ru/index.php?probe=de36284365
Comment 9 Andrey Ponomarenko 2015-04-25 10:29:58 MSD
Extended testing report - OK
Comment 10 Andrey Ponomarenko 2015-04-25 11:05:59 MSD
One more test case:

i586, RED X2

Lenovo G570: http://hw.rosalinux.ru/index.php?probe=5369ab6ce4

Intel Sandybridge Integrated Graphics

Boot, browser, video - OK

Better glxgears FPS: 5851 vs 5496 on Mesa 10.4.5

Probe with Mesa 10.4.5: http://hw.rosalinux.ru/index.php?probe=4200f3e2d6
Comment 11 Vladimir Potapov 2015-04-27 10:20:18 MSD
mesa-10.5.3-1
https://abf.io/build_lists/2490575
https://abf.io/build_lists/2490576
******************************** Advisory **************************
Mesa was updated to version 10.5.3. Most significant changes:
* GLX/DRI3 fixes and improvements.
* A lot of preparation work for GL_ARB_direct_state_access.
* The new IR - NIR. A flat, typeless IR, supporting SSA.
* Piglit and drawElements Quality Program (dEQP) fixes.
* Initial support for the new Intel Skylake GPUs and Adreno 4xx GPUs.
* Support for GL_EXT_polygon_offset_clamp on i965, nv50, nvc0, r600, radeonsi, llvmpipe.
* Lots of other fixes.
* The experimental Direct3D 9 state tracker ("Nine") is now built too, see the packages lib(64)d3dtracker1 and lib(64)d3dtracker-devel.
********************************************************************
QA Verified